# Software development configuration
{ config, pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [
    gitea
  ];

  # Gitea setup with daily backup
  services.gitea = {
    enable = true;
    domain = "coolneng.duckdns.org";
    rootUrl = "https://coolneng.duckdns.org/gitea";
    database = {
      type = "postgres";
      passwordFile = "/var/keys/gitea/db";
      socket = "/run/postgresql/.s.PGSQL.5432";
    };
    cookieSecure = true;
    disableRegistration = true;
    repositoryRoot = "/vault/git";
    dump.enable = true;
    useWizard = false;
    appName = "Gitea";
    extraConfig = ''
      LFS_START_SERVER = true
      LFS_HTTP_AUTH_EXPIRY = 60m
    '';
  };

}
